if (NOT FIND_TRACKD_LOADED)

include (${CMAKE_CURRENT_SOURCE_DIR}/cmake/FindHelperMacros.cmake)

if (WIN32)
#  set (TRACKD_PREDEF_PATHS "")
  set (TRACKD_PREDEF_INCLUDE_SUFFIX include)
  set (TRACKD_PREDEF_LIBRARY_SUFFIX lib)
  FIND_INCLUDE_DIR_MACRO (TrackD TRACKD trackdAPI_CC.h TRACKD_PREDEF_PATHS TRACKD_PREDEF_INCLUDE_SUFFIX)
  FIND_LIBRARY_MACRO (TrackD TRACKD trackdAPI_CC TRACKD_PREDEF_PATHS TRACKD_PREDEF_LIBRARY_SUFFIX)

  set (TRACKD_INCLUDE_DIRS ${TRACKD_INCLUDE_DIR})
  set (TRACKD_LIBRARIES ${TRACKD_trackdAPI_CC_LIBRARY})

elseif (APPLE AND ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set (TRACKD_PREDEF_INCLUDE_SUFFIX include)
  set (TRACKD_PREDEF_LIBRARY_SUFFIX lib)
  FIND_INCLUDE_DIR_MACRO (TrackD TRACKD trackdAPI_CC.h TRACKD_PREDEF_PATHS TRACKD_PREDEF_INCLUDE_SUFFIX)
  FIND_LIBRARY_MACRO (TrackD TRACKD trackdAPI_CC TRACKD_PREDEF_PATHS TRACKD_PREDEF_LIBRARY_SUFFIX)

  set (TRACKD_INCLUDE_DIRS ${TRACKD_INCLUDE_DIR})
  set (TRACKD_LIBRARIES ${TRACKD_trackdAPI_CC_LIBRARY})
  
elseif (UNIX)
  set (TRACKD_PREDEF_INCLUDE_SUFFIX include)
  set (TRACKD_PREDEF_LIBRARY_SUFFIX lib)
  FIND_INCLUDE_DIR_MACRO (TrackD TRACKD trackdAPI_CC.h TRACKD_PREDEF_PATHS TRACKD_PREDEF_INCLUDE_SUFFIX)
  FIND_LIBRARY_MACRO (TrackD TRACKD trackdAPI_CC TRACKD_PREDEF_PATHS TRACKD_PREDEF_LIBRARY_SUFFIX)

  set (TRACKD_INCLUDE_DIRS ${TRACKD_INCLUDE_DIR})
  set (TRACKD_LIBRARIES ${TRACKD_trackdAPI_CC_LIBRARY})
  
else (WIN32)
  message (FATAL_ERROR "Unable to identify target operating system!")

endif (WIN32)

set (FIND_TRACKD_LOADED ON)
endif (NOT FIND_TRACKD_LOADED)

